Page MenuHomePhabricator

Parsoid on wikitech fails
Closed, ResolvedPublic1 Estimated Story Points

Description

on wikitech wiki, when hitting "Edit" i get:

Error loading data from server: 500: parsoidserver-http: HTTP 500. Would you like to retry?

editing source works just fine

https://wikitech.wikimedia.org/wiki/Main_Page?veaction=edit

Event Timeline

Dzahn raised the priority of this task from to Needs Triage.
Dzahn updated the task description. (Show Details)
Dzahn added a subscriber: Dzahn.
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

18:41 < gwicke> I think that has been broken since the last bigger VE deploy
18:43 < gwicke> James_F, is there a task for the wikitech issue?

Jdforrester-WMF renamed this task from visual editor on wikitech fails to VisualEditor on wikitech fails.Aug 12 2015, 1:52 AM
Jdforrester-WMF assigned this task to Krenair.
error: Config Request failure for "https://wikitech.wikimedia.org/w/api.php": 404 path: /labswiki/Main_Page
Error: Config Request failure for "https://wikitech.wikimedia.org/w/api.php": 404
    at ApiRequest._requestCB (/srv/deployment/parsoid/deploy/src/lib/mediawiki.ApiRequest.js:256:11)
    at Request.self.callback (/srv/deployment/parsoid/deploy/node_modules/request/request.js:123:22)
    at Request.EventEmitter.emit (events.js:98:17)
    at Request.<anonymous> (/srv/deployment/parsoid/deploy/node_modules/request/request.js:1047:14)
    at Request.EventEmitter.emit (events.js:117:20)
    at IncomingMessage.<anonymous> (/srv/deployment/parsoid/deploy/node_modules/request/request.js:998:12)
    at IncomingMessage.EventEmitter.emit (events.js:117:20)
    at _stream_readable.js:920:16
    at process._tickCallback (node.js:415:13)

If that's Parsoid trying to hit Varnish, see T102178

You can reproduce that error easily (without manually editing the VE error handling code live on silver) by browsing to http://parsoid-lb.eqiad.wikimedia.org/labswiki/Main_Page

Krenair renamed this task from VisualEditor on wikitech fails to Parsoid on wikitech fails.Aug 12 2015, 4:03 AM
Krenair reassigned this task from Krenair to GWicke.

This looks like a Parsoid <-> wikitech API communication issue to me. Moving on to Parsoid.

Might be due to lib/mediawiki.ParsoidConfig.js's check for private/fishbowl wikis, which would turn off use of the default proxy. But since https://gerrit.wikimedia.org/r/#/c/218903/ wikitech has not been marked as a fishbowl (because it's not one)

https://gerrit.wikimedia.org/r/#/c/228024/1/lib/sitematrix.json - seems like Parsoid has it's own local version of sitematrix and wikitech was updated to no longer be a fishbowl as of 2015-07-30 (which would explain why we only just noticed this while the original operations/mediawiki-config change was on 2015-06-17)

Change 230971 had a related patch set uploaded (by Alex Monk):
Override labswiki to not go via proxy

https://gerrit.wikimedia.org/r/230971

https://gerrit.wikimedia.org/r/#/c/228024/1/lib/sitematrix.json - seems like Parsoid has it's own local version of sitematrix and wikitech was updated to no longer be a fishbowl as of 2015-07-30 (which would explain why we only just noticed this while the original operations/mediawiki-config change was on 2015-06-17)

Yes, we have a script that Arlo periodically runs to update the local cached sitematrix entries.

Change 230971 merged by jenkins-bot:
Override labswiki to not go via proxy

https://gerrit.wikimedia.org/r/230971

Change 461711 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Update sitematrix and remove special casing for labswiki

https://gerrit.wikimedia.org/r/461711

Change 461711 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Update sitematrix and remove special casing for labswiki

https://gerrit.wikimedia.org/r/461711